org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Class LocalModelResolution

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.logical.resolver.AbstractResolution
  - - org.eclipse.emf.compare.ide.ui.internal.logical.resolver.LocalModelResolution

    public class LocalModelResolution
    extends AbstractResolution

This will be called by Team in order to determine whether a given file can be compared alone, or if it needs to be compared along with others (and, thus, compared from the synchronize view). Note that only local data is available here.

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.ide.ui.internal.logical.resolver.AbstractResolution

`context, diagnostic, implicitDependencies, logger, monitor`

### Constructor Summary

Constructors
Constructor and Description
`LocalModelResolution(IResolutionContext context, org.eclipse.core.runtime.IProgressMonitor monitor)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`StorageTraversal` `run(org.eclipse.core.resources.IResource start)` Executes this treatment.

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.logical.resolver.AbstractResolution

`asURISet, call, getFinalizeResolvingRunnable, getImplicitDependencies, getTicks, resolveTraversal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalModelResolution

    public LocalModelResolution(IResolutionContext context,
                                org.eclipse.core.runtime.IProgressMonitor monitor)

Constructor.

Parameters:
  `dependencyProvider` - The dependency provider
  `scheduler` - multi-thread support to use
  `eventBus` - The event bus
  `monitor` - Progress monitor to use

### Method Detail

#### run

    public StorageTraversal run(org.eclipse.core.resources.IResource start)

Executes this treatment.

Parameters:
  `start` - Resource for which we want the traversal
Returns:
  The `StorageTraversal` for the given resource, never null but possibly empty.